GET /api/v1/names/:name/history
Get the on-chain transaction history for an ENS name, with pagination.
Authentication: None
Cache: 15s
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Yes | ENS name (e.g. example.eth) |
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
page | number | 1 | Page number |
limit | number | 20 | Results per page |
Sample Request
curl "https://api.grails.app/api/v1/names/example.eth/history?page=1&limit=10"Response
// 200 OK
{
"success": true,
"data": {
"transactions": [
{
"id": 2044263,
"ens_name_id": 423991,
"transaction_hash": "0x56ca2e00...",
"block_number": "0",
"from_address": "0x0c289ec5...",
"to_address": "0x4129592a...",
"price_wei": "69000000000000000",
"transaction_type": "sale",
"timestamp": "2026-04-09T15:47:02.634Z",
"created_at": "2026-04-09T15:47:02.629Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 9,
"totalPages": 1,
"hasNext": false,
"hasPrev": false
}
},
"meta": {
"timestamp": "2026-04-09T12:00:00.000Z",
"version": "1.0.0"
}
}Error Responses
| Status | Code | Description |
|---|---|---|
| 404 | NAME_NOT_FOUND | ENS name not found in database |
Last updated on